POST api/badgereadertypeapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
BadgeReaderTypeViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| type | string |
Required String length: inclusive between 0 and 100 |
|
| description | string |
Required |
|
| active | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "5eb0dd90-61d5-4020-a6db-e674b4bb9019",
"type": "sample string 2",
"description": "sample string 3",
"active": true
}
application/xml, text/xml
Sample:
<badge_reader_type xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <description>sample string 3</description> <id>5eb0dd90-61d5-4020-a6db-e674b4bb9019</id> <type>sample string 2</type> </badge_reader_type>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"6484bccb-18ab-4f58-80e5-8e97fd7c7469"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">6484bccb-18ab-4f58-80e5-8e97fd7c7469</guid>